PLplot: plplot Module Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Public Attributes | List of all members
plplot Module Reference

## Classes
interface | pladv
interface | plbin
interface | plbop
interface | plcalc_world
interface | plclear
interface | plcol0
interface | plcol1
interface | plcolorbar
interface | plcpstrm
interface | plend
interface | plend1
interface | plenv
interface | pleop
interface | plerrx
interface | plerry
interface | plfamadv
interface | plfill
interface | plfill3
interface | plflush
interface | plfont
interface | plfontld
interface | plgchr
interface | plgcmap1_range
interface | plgcol0
interface | plgcol0a
interface | plgcolbg
interface | plgcolbga
interface | plgcompression
interface | plgdidev
interface | plgdiori
interface | plgdiplt
interface | plgetcursor
interface | plgfam
interface | plgfci
interface | plgfont
interface | plglevel
interface | plgpage
interface | plgra
interface | plgradient
interface | plgriddata
interface | plgspa
interface | plgstrm
interface | plgvpd
interface | plgvpw
interface | plgxax
interface | plgyax
interface | plgzax
interface | plhist
interface | plhls
interface | plhlsrgb
interface | plinit
interface | pljoin
interface | pllegend
interface | pllightsource
interface | plline
interface | plline3
interface | pllsty
interface | plmap
interface | plmeridians
interface | plmesh
interface | plmeshc
interface | plmkstrm
interface | plot3d
interface | plot3dc
interface | plpat
interface | plpath
interface | plpoin
interface | plpoin3
interface | plpoly3
interface | plprec
interface | plpsty
interface | plreplot
interface | plrgb
interface | plrgb1
interface | plrgbhls
interface | plschr
interface | plscmap0
interface | plscmap0a
interface | plscmap0n
interface | plscmap1
interface | plscmap1_range
interface | plscmap1a
interface | plscmap1l
interface | plscmap1la
interface | plscmap1n
interface | plscol0
interface | plscol0a
interface | plscolbg
interface | plscolbga
interface | plscolor
interface | plscompression
interface | plsdidev
interface | plsdimap
interface | plsdiori
interface | plsdiplt
interface | plsdiplz
interface | plseed
interface | plsesc
interface | plsetmapformc

## Public Attributes
C | __pad0__:alias double PLFLT
alias uint | PLUNICODE
alias int | PLINT
alias PLINT | PLBOOL
alias void * | PLPointer
const | PLESC_SET_RGB = 1
const | PLESC_ALLOC_NCOL = 2
const | PLESC_SET_LPB = 3
const | PLESC_EXPOSE = 4
const | PLESC_RESIZE = 5
const | PLESC_REDRAW = 6
const | PLESC_TEXT = 7
const | PLESC_GRAPH = 8
const | PLESC_FILL = 9
const | PLESC_DI = 10
const | PLESC_FLUSH = 11
const | PLESC_EH = 12
const | PLESC_GETC = 13
const | PLESC_SWIN = 14
const | PLESC_DOUBLEBUFFERING = 15
const | PLESC_XORMOD = 16
const | PLESC_SET_COMPRESSION = 17
const | PLESC_CLEAR = 18
const | PLESC_DASH = 19
const | PLESC_HAS_TEXT = 20
const | PLESC_IMAGE = 21
const | PLESC_IMAGEOPS = 22
const | PLESC_PL2DEVCOL = 23
const | PLESC_DEV2PLCOL = 24
const | PLESC_SETBGFG = 25
const | PLESC_DEVINIT = 26
const | ZEROW2B = 1
const | ZEROW2D = 2
const | ONEW2B = 3
const | ONEW2D = 4
const | PLSWIN_DEVICE = 1
const | PLSWIN_WORLD = 2
const | PL_X_AXIS = 1
const | PL_Y_AXIS = 2
const | PL_Z_AXIS = 3
const | PL_OPT_ENABLED = 0x0001
const | PL_OPT_ARG = 0x0002
const | PL_OPT_NODELETE = 0x0004
const | PL_OPT_INVISIBLE = 0x0008
const | PL_OPT_DISABLED = 0x0010
const | PL_OPT_FUNC = 0x0100
const | PL_OPT_BOOL = 0x0200
const | PL_OPT_INT = 0x0400
const | PL_OPT_FLOAT = 0x0800
const | PL_OPT_STRING = 0x1000
const | PL_PARSE_PARTIAL = 0x0000
const | PL_PARSE_FULL = 0x0001
const | PL_PARSE_QUIET = 0x0002
const | PL_PARSE_NODELETE = 0x0004
const | PL_PARSE_SHOWALL = 0x0008
const | PL_PARSE_OVERRIDE = 0x0010
const | PL_PARSE_NOPROGRAM = 0x0020
const | PL_PARSE_NODASH = 0x0040
const | PL_PARSE_SKIP = 0x0080
const | PL_FCI_MARK = 0x80000000
const | PL_FCI_IMPOSSIBLE = 0x00000000
const | PL_FCI_HEXDIGIT_MASK = 0xf
const | PL_FCI_HEXPOWER_MASK = 0x7
const | PL_FCI_HEXPOWER_IMPOSSIBLE = 0xf
const | PL_FCI_FAMILY = 0x0
const | PL_FCI_STYLE = 0x1
const | PL_FCI_WEIGHT = 0x2
const | PL_FCI_SANS = 0x0
const | PL_FCI_SERIF = 0x1
const | PL_FCI_MONO = 0x2
const | PL_FCI_SCRIPT = 0x3
const | PL_FCI_SYMBOL = 0x4
const | PL_FCI_UPRIGHT = 0x0
const | PL_FCI_ITALIC = 0x1
const | PL_FCI_MEDIUM = 0x0
const | PL_FCI_BOLD = 0x1
const | PL_FCI_OBLIQUE = 0x2
alias _N1 | PLOptionTable
const | PL_MAXKEY = 16
alias _N2 | PLGraphicsIn
const | PL_MAXWINDOWS = 64
alias _N3 | PLWindow
alias _N4 | PLDisplay
const int | PL_NOTSET = -42
alias _N5 | PLfGrid
alias _N6 | PLfGrid2
alias _N7 | c_PLcGrid
alias _N8 | c_PLcGrid2
alias _N9 | PLColor
alias _N10 | PLControlPt
alias _N11 | PLBufferingCB
const | PLESC_DOUBLEBUFFERING_ENABLE = 1
const | PLESC_DOUBLEBUFFERING_DISABLE = 2
const | PLESC_DOUBLEBUFFERING_QUERY = 3
alias c_pl_setcontlabelformat | pl_setcontlabelformat
alias c_pl_setcontlabelparam | pl_setcontlabelparam
alias c_pladv | pladv
alias c_plbop | plbop
alias c_plbtime | plbtime
alias c_plslabelfunc | plslabelfunc
alias c_plcalc_world | plcalc_world
alias c_plarc | plarc
alias c_plclear | plclear
alias c_plcol0 | plcol0
alias c_plcol1 | plcol1
alias c_plconfigtime | plconfigtime
alias c_plcpstrm | plcpstrm
alias c_plctime | plctime
alias c_plend | plend
alias c_plend1 | plend1
alias c_plenv | plenv
alias c_plenv0 | plenv0
alias c_pleop | pleop
alias c_plfamadv | plfamadv
alias c_plflush | plflush
alias c_plfont | plfont
alias c_plfontld | plfontld
alias c_plgchr | plgchr
alias c_plgcol0 | plgcol0
alias c_plgcolbg | plgcolbg
alias c_plgcol0a | plgcol0a
alias c_plgcolbga | plgcolbga
alias c_plgcompression | plgcompression
alias c_plgdidev | plgdidev
alias c_plgdiori | plgdiori
alias c_plgdiplt | plgdiplt
alias c_plgfam | plgfam
alias c_plgfci | plgfci
alias c_plgfont | plgfont
alias c_plglevel | plglevel
alias c_plgpage | plgpage
alias c_plgradient | plgrdient
alias c_plgra | plgra
alias c_plgspa | plgspa
alias c_plgstrm | plgstrm
alias c_plgvpd | plgvpd
alias c_plgvpw | plgvpw
alias c_plgxax | plgxax
alias c_plgyax | plgyax
alias c_plgzax | plgzax
alias c_plhls | plhls
alias c_plhlsrgb | plhlsrgb
alias c_plinit | plinit
alias c_pljoin | pljoin
alias c_pllightsource | pllightsource
alias c_plpath | plpath
alias c_pllsty | pllsty
alias c_plmeridians | plmeridians
alias c_plmkstrm | plmkstrm
alias c_plprec | plprec
alias c_plpsty | plpsty
alias c_plrandd | plrandd
alias c_plreplot | plreplot
alias c_plrgb | plrgb
alias c_plrgb1 | plrgb1
alias c_plrgbhls | plrgbhls
alias c_plschr | plschr
alias c_plscmap0n | plscmap0n
alias c_plscmap1n | plscmap1n
alias c_plscmap1_range | plscmap1_range
alias c_plscol0 | plscol0
alias c_plscol0a | plscol0a
alias c_plscolbg | plscolbg
alias c_plscolbga | plscolbga
alias c_plscolor | plscolor
alias c_plscompression | plscompression
alias c_plsdidev | plsdidev
alias c_plsdimap | plsdimap
alias c_plsdiori | plsdiori
alias c_plsdiplt | plsdiplt
alias c_plsdiplz | plsdiplz
alias c_plseed | plseed
alias c_plsesc | plsesc
alias c_plsfam | plsfam
alias c_plsfci | plsfci
alias c_plsfont | plsfont
alias c_plsmaj | plsmaj
alias c_plsmem | plsmem
alias c_plsmin | plsmin
alias c_plsori | plsori
alias c_plspage | plspage
alias c_plspause | plspause
alias c_plsstrm | plsstrm
alias c_plssub | plssub
alias c_plssym | plssym
alias c_plstar | plstar
alias c_plstransform | plstransform
alias c_plstripa | plstripa
alias c_plstripd | plstripd
alias c_plsvpa | plsvpa
alias c_plsxax | plsxax
alias c_plsyax | plsyax
alias c_plszax | plszax
alias c_pltext | pltext
alias c_plvasp | plvasp
alias c_plvpas | plvpas
alias c_plvpor | plvpor
alias c_plvsta | plvsta
alias c_plw3d | plw3d
alias c_plwidth | plwidth
alias c_plwind | plwind
alias c_plxormod | plxormod
alias pleop | plclr
alias plbop | plpage
alias plcol0 | plcol
alias plfcont | plcontf
alias plAlloc2dGrid | Alloc2dGrid
alias plFree2dGrid | Free2dGrid
alias plMinMax2dGrid | MinMax2dGrid
alias plgvpd | plP_gvpd
alias plgvpw | plP_gvpw
const | PL_BIN_DEFAULT = 0
const | PL_BIN_CENTRED = 1
const | PL_BIN_NOEXPAND = 2
const | PL_BIN_NOEMPTY = 4
const | GRID_CSA = 1
const | GRID_DTLI = 2
const | GRID_NNI = 3
const | GRID_NNIDW = 4
const | GRID_NNLI = 5
const | GRID_NNAIDW = 6
const | PL_HIST_DEFAULT = 0
const | PL_HIST_NOSCALING = 1
const | PL_HIST_IGNORE_OUTLIERS = 2
const | PL_HIST_NOEXPAND = 8
const | PL_HIST_NOEMPTY = 16
const | PL_POSITION_LEFT = 1
const | PL_POSITION_RIGHT = 2
const | PL_POSITION_TOP = 4
const | PL_POSITION_BOTTOM = 8
const | PL_POSITION_INSIDE = 16
const | PL_POSITION_OUTSIDE = 32
const | PL_POSITION_VIEWPORT = 64
const | PL_POSITION_SUBPAGE = 128
const | PL_LEGEND_NONE = 1
const | PL_LEGEND_COLOR_BOX = 2
const | PL_LEGEND_LINE = 4
const | PL_LEGEND_SYMBOL = 8
const | PL_LEGEND_TEXT_LEFT = 16
const | PL_LEGEND_BACKGROUND = 32
const | PL_LEGEND_BOUNDING_BOX = 64
const | PL_LEGEND_ROW_MAJOR = 128
const | PL_COLORBAR_LABEL_LEFT = 1
const | PL_COLORBAR_LABEL_RIGHT = 2
const | PL_COLORBAR_LABEL_TOP = 4
const | PL_COLORBAR_LABEL_BOTTOM = 8
const | PL_COLORBAR_IMAGE = 16
const | PL_COLORBAR_SHADE = 32
const | PL_COLORBAR_GRADIENT = 64
const | PL_COLORBAR_CAP_NONE = 128
const | PL_COLORBAR_CAP_LOW = 256
const | PL_COLORBAR_CAP_HIGH = 512
const | PL_COLORBAR_SHADE_LABEL = 1024
const | PL_COLORBAR_ORIENT_RIGHT = 2048
const | PL_COLORBAR_ORIENT_TOP = 4096
const | PL_COLORBAR_ORIENT_LEFT = 8192
const | PL_COLORBAR_ORIENT_BOTTOM = 16384
const | PL_COLORBAR_BACKGROUND = 32768
const | PL_COLORBAR_BOUNDING_BOX = 65536
const | DRAW_LINEX = 1 << 0
const | DRAW_LINEY = 1 << 1
const | DRAW_LINEXY = DRAW_LINEX | DRAW_LINEY
const | MAG_COLOR = 1 << 2
const | BASE_CONT = 1 << 3
const | TOP_CONT = 1 << 4
const | SURF_CONT = 1 << 5
const | DRAW_SIDES = 1 << 6
const | FACETED = 1 << 7
const | MESH = 1 << 8

## Detailed Description

Definition at line 150 of file sfstubsf95.f90.

## Member Data Documentation

C plplot::__pad0__

Definition at line 994 of file plplot.d.

alias plAlloc2dGrid plplot::Alloc2dGrid

Definition at line 1528 of file plplot.d.

const plplot::BASE_CONT = 1 << 3

Definition at line 1924 of file plplot.d.

alias _N7 plplot::c_PLcGrid

Definition at line 1236 of file plplot.d.

alias _N8 plplot::c_PLcGrid2

Definition at line 1252 of file plplot.d.

const plplot::DRAW_LINEX = 1 << 0

Definition at line 1920 of file plplot.d.

const plplot::DRAW_LINEXY = DRAW_LINEX | DRAW_LINEY

Definition at line 1922 of file plplot.d.

const plplot::DRAW_LINEY = 1 << 1

Definition at line 1921 of file plplot.d.

const plplot::DRAW_SIDES = 1 << 6

Definition at line 1927 of file plplot.d.

const plplot::FACETED = 1 << 7

Definition at line 1928 of file plplot.d.

alias plFree2dGrid plplot::Free2dGrid

Definition at line 1529 of file plplot.d.

const plplot::GRID_CSA = 1

Definition at line 1741 of file plplot.d.

const plplot::GRID_DTLI = 2

Definition at line 1742 of file plplot.d.

const plplot::GRID_NNAIDW = 6

Definition at line 1746 of file plplot.d.

const plplot::GRID_NNI = 3

Definition at line 1743 of file plplot.d.

const plplot::GRID_NNIDW = 4

Definition at line 1744 of file plplot.d.

const plplot::GRID_NNLI = 5

Definition at line 1745 of file plplot.d.

const plplot::MAG_COLOR = 1 << 2

Definition at line 1923 of file plplot.d.

const plplot::MESH = 1 << 8

Definition at line 1929 of file plplot.d.

alias plMinMax2dGrid plplot::MinMax2dGrid

Definition at line 1530 of file plplot.d.

const plplot::ONEW2B = 3

Definition at line 1045 of file plplot.d.

const plplot::ONEW2D = 4

Definition at line 1046 of file plplot.d.

const plplot::PL_BIN_CENTRED = 1

Definition at line 1563 of file plplot.d.

const plplot::PL_BIN_DEFAULT = 0

Definition at line 1562 of file plplot.d.

const plplot::PL_BIN_NOEMPTY = 4

Definition at line 1565 of file plplot.d.

const plplot::PL_BIN_NOEXPAND = 2

Definition at line 1564 of file plplot.d.

const plplot::PL_COLORBAR_BACKGROUND = 32768

Definition at line 1834 of file plplot.d.

const plplot::PL_COLORBAR_BOUNDING_BOX = 65536

Definition at line 1835 of file plplot.d.

const plplot::PL_COLORBAR_CAP_HIGH = 512

Definition at line 1828 of file plplot.d.

const plplot::PL_COLORBAR_CAP_LOW = 256

Definition at line 1827 of file plplot.d.

const plplot::PL_COLORBAR_CAP_NONE = 128

Definition at line 1826 of file plplot.d.

const plplot::PL_COLORBAR_GRADIENT = 64

Definition at line 1825 of file plplot.d.

const plplot::PL_COLORBAR_IMAGE = 16

Definition at line 1823 of file plplot.d.

const plplot::PL_COLORBAR_LABEL_BOTTOM = 8

Definition at line 1822 of file plplot.d.

const plplot::PL_COLORBAR_LABEL_LEFT = 1

Definition at line 1819 of file plplot.d.

const plplot::PL_COLORBAR_LABEL_RIGHT = 2

Definition at line 1820 of file plplot.d.

const plplot::PL_COLORBAR_LABEL_TOP = 4

Definition at line 1821 of file plplot.d.

const plplot::PL_COLORBAR_ORIENT_BOTTOM = 16384

Definition at line 1833 of file plplot.d.

const plplot::PL_COLORBAR_ORIENT_LEFT = 8192

Definition at line 1832 of file plplot.d.

const plplot::PL_COLORBAR_ORIENT_RIGHT = 2048

Definition at line 1830 of file plplot.d.

const plplot::PL_COLORBAR_ORIENT_TOP = 4096

Definition at line 1831 of file plplot.d.

const plplot::PL_COLORBAR_SHADE = 32

Definition at line 1824 of file plplot.d.

const plplot::PL_COLORBAR_SHADE_LABEL = 1024

Definition at line 1829 of file plplot.d.

const plplot::PL_FCI_BOLD = 0x1

Definition at line 1112 of file plplot.d.

const plplot::PL_FCI_FAMILY = 0x0

Definition at line 1095 of file plplot.d.

const plplot::PL_FCI_HEXDIGIT_MASK = 0xf

Definition at line 1090 of file plplot.d.

const plplot::PL_FCI_HEXPOWER_IMPOSSIBLE = 0xf

Definition at line 1094 of file plplot.d.

const plplot::PL_FCI_HEXPOWER_MASK = 0x7

Definition at line 1091 of file plplot.d.

const plplot::PL_FCI_IMPOSSIBLE = 0x00000000

Definition at line 1089 of file plplot.d.

const plplot::PL_FCI_ITALIC = 0x1

Definition at line 1108 of file plplot.d.

const plplot::PL_FCI_MARK = 0x80000000

Definition at line 1088 of file plplot.d.

const plplot::PL_FCI_MEDIUM = 0x0

Definition at line 1111 of file plplot.d.

const plplot::PL_FCI_MONO = 0x2

Definition at line 1102 of file plplot.d.

const plplot::PL_FCI_OBLIQUE = 0x2

Definition at line 1113 of file plplot.d.

const plplot::PL_FCI_SANS = 0x0

Definition at line 1100 of file plplot.d.

const plplot::PL_FCI_SCRIPT = 0x3

Definition at line 1103 of file plplot.d.

const plplot::PL_FCI_SERIF = 0x1

Definition at line 1101 of file plplot.d.

const plplot::PL_FCI_STYLE = 0x1

Definition at line 1096 of file plplot.d.

const plplot::PL_FCI_SYMBOL = 0x4

Definition at line 1106 of file plplot.d.

const plplot::PL_FCI_UPRIGHT = 0x0

Definition at line 1107 of file plplot.d.

const plplot::PL_FCI_WEIGHT = 0x2

Definition at line 1099 of file plplot.d.

const plplot::PL_HIST_DEFAULT = 0

Definition at line 1774 of file plplot.d.

const plplot::PL_HIST_IGNORE_OUTLIERS = 2

Definition at line 1776 of file plplot.d.

const plplot::PL_HIST_NOEMPTY = 16

Definition at line 1778 of file plplot.d.

const plplot::PL_HIST_NOEXPAND = 8

Definition at line 1777 of file plplot.d.

const plplot::PL_HIST_NOSCALING = 1

Definition at line 1775 of file plplot.d.

const plplot::PL_LEGEND_BACKGROUND = 32

Definition at line 1814 of file plplot.d.

const plplot::PL_LEGEND_BOUNDING_BOX = 64

Definition at line 1815 of file plplot.d.

const plplot::PL_LEGEND_COLOR_BOX = 2

Definition at line 1810 of file plplot.d.

const plplot::PL_LEGEND_LINE = 4

Definition at line 1811 of file plplot.d.

const plplot::PL_LEGEND_NONE = 1

Definition at line 1809 of file plplot.d.

const plplot::PL_LEGEND_ROW_MAJOR = 128

Definition at line 1816 of file plplot.d.

const plplot::PL_LEGEND_SYMBOL = 8

Definition at line 1812 of file plplot.d.

const plplot::PL_LEGEND_TEXT_LEFT = 16

Definition at line 1813 of file plplot.d.

const plplot::PL_MAXKEY = 16

Definition at line 1134 of file plplot.d.

const plplot::PL_MAXWINDOWS = 64

Definition at line 1155 of file plplot.d.

const int plplot::PL_NOTSET = -42

Definition at line 1184 of file plplot.d.

const plplot::PL_OPT_ARG = 0x0002

Definition at line 1061 of file plplot.d.

const plplot::PL_OPT_BOOL = 0x0200

Definition at line 1068 of file plplot.d.

const plplot::PL_OPT_DISABLED = 0x0010

Definition at line 1064 of file plplot.d.

const plplot::PL_OPT_ENABLED = 0x0001

Definition at line 1060 of file plplot.d.

const plplot::PL_OPT_FLOAT = 0x0800

Definition at line 1070 of file plplot.d.

const plplot::PL_OPT_FUNC = 0x0100

Definition at line 1067 of file plplot.d.

const plplot::PL_OPT_INT = 0x0400

Definition at line 1069 of file plplot.d.

const plplot::PL_OPT_INVISIBLE = 0x0008

Definition at line 1063 of file plplot.d.

const plplot::PL_OPT_NODELETE = 0x0004

Definition at line 1062 of file plplot.d.

const plplot::PL_OPT_STRING = 0x1000

Definition at line 1071 of file plplot.d.

const plplot::PL_PARSE_FULL = 0x0001

Definition at line 1076 of file plplot.d.

const plplot::PL_PARSE_NODASH = 0x0040

Definition at line 1084 of file plplot.d.

const plplot::PL_PARSE_NODELETE = 0x0004

Definition at line 1080 of file plplot.d.

const plplot::PL_PARSE_NOPROGRAM = 0x0020

Definition at line 1083 of file plplot.d.

const plplot::PL_PARSE_OVERRIDE = 0x0010

Definition at line 1082 of file plplot.d.

const plplot::PL_PARSE_PARTIAL = 0x0000

Definition at line 1075 of file plplot.d.

const plplot::PL_PARSE_QUIET = 0x0002

Definition at line 1077 of file plplot.d.

const plplot::PL_PARSE_SHOWALL = 0x0008

Definition at line 1081 of file plplot.d.

const plplot::PL_PARSE_SKIP = 0x0080

Definition at line 1085 of file plplot.d.

const plplot::PL_POSITION_BOTTOM = 8

Definition at line 1802 of file plplot.d.

const plplot::PL_POSITION_INSIDE = 16

Definition at line 1803 of file plplot.d.

const plplot::PL_POSITION_LEFT = 1

Definition at line 1799 of file plplot.d.

const plplot::PL_POSITION_OUTSIDE = 32

Definition at line 1804 of file plplot.d.

const plplot::PL_POSITION_RIGHT = 2

Definition at line 1800 of file plplot.d.

const plplot::PL_POSITION_SUBPAGE = 128

Definition at line 1806 of file plplot.d.

const plplot::PL_POSITION_TOP = 4

Definition at line 1801 of file plplot.d.

const plplot::PL_POSITION_VIEWPORT = 64

Definition at line 1805 of file plplot.d.

alias c_pl_setcontlabelformat plplot::pl_setcontlabelformat

Definition at line 1350 of file plplot.d.

alias c_pl_setcontlabelparam plplot::pl_setcontlabelparam

Definition at line 1351 of file plplot.d.

const plplot::PL_X_AXIS = 1

Definition at line 1053 of file plplot.d.

const plplot::PL_Y_AXIS = 2

Definition at line 1054 of file plplot.d.

const plplot::PL_Z_AXIS = 3

Definition at line 1055 of file plplot.d.

alias c_pladv plplot::pladv

Definition at line 1352 of file plplot.d.

alias c_plarc plplot::plarc

Definition at line 1361 of file plplot.d.

alias PLINT plplot::PLBOOL

Definition at line 1002 of file plplot.d.

alias c_plbop plplot::plbop

Definition at line 1355 of file plplot.d.

alias c_plbtime plplot::plbtime

Definition at line 1358 of file plplot.d.

alias _N11 plplot::PLBufferingCB

Definition at line 1292 of file plplot.d.

alias c_plcalc_world plplot::plcalc_world

Definition at line 1360 of file plplot.d.

alias c_plclear plplot::plclear

Definition at line 1362 of file plplot.d.

alias pleop plplot::plclr

Definition at line 1524 of file plplot.d.

alias plcol0 plplot::plcol

Definition at line 1526 of file plplot.d.

alias c_plcol0 plplot::plcol0

Definition at line 1363 of file plplot.d.

alias c_plcol1 plplot::plcol1

Definition at line 1364 of file plplot.d.

alias _N9 plplot::PLColor

Definition at line 1269 of file plplot.d.

alias c_plconfigtime plplot::plconfigtime

Definition at line 1366 of file plplot.d.

alias plfcont plplot::plcontf

Definition at line 1527 of file plplot.d.

alias _N10 plplot::PLControlPt

Definition at line 1282 of file plplot.d.

alias c_plcpstrm plplot::plcpstrm

Definition at line 1368 of file plplot.d.

alias c_plctime plplot::plctime

Definition at line 1369 of file plplot.d.

alias _N4 plplot::PLDisplay

Definition at line 1179 of file plplot.d.

alias c_plend plplot::plend

Definition at line 1370 of file plplot.d.

alias c_plend1 plplot::plend1

Definition at line 1371 of file plplot.d.

alias c_plenv plplot::plenv

Definition at line 1372 of file plplot.d.

alias c_plenv0 plplot::plenv0

Definition at line 1373 of file plplot.d.

alias c_pleop plplot::pleop

Definition at line 1374 of file plplot.d.

const plplot::PLESC_ALLOC_NCOL = 2

Definition at line 1016 of file plplot.d.

const plplot::PLESC_CLEAR = 18

Definition at line 1032 of file plplot.d.

const plplot::PLESC_DASH = 19

Definition at line 1033 of file plplot.d.

const plplot::PLESC_DEV2PLCOL = 24

Definition at line 1038 of file plplot.d.

const plplot::PLESC_DEVINIT = 26

Definition at line 1040 of file plplot.d.

const plplot::PLESC_DI = 10

Definition at line 1024 of file plplot.d.

const plplot::PLESC_DOUBLEBUFFERING = 15

Definition at line 1029 of file plplot.d.

const plplot::PLESC_DOUBLEBUFFERING_DISABLE = 2

Definition at line 1295 of file plplot.d.

const plplot::PLESC_DOUBLEBUFFERING_ENABLE = 1

Definition at line 1294 of file plplot.d.

const plplot::PLESC_DOUBLEBUFFERING_QUERY = 3

Definition at line 1297 of file plplot.d.

const plplot::PLESC_EH = 12

Definition at line 1026 of file plplot.d.

const plplot::PLESC_EXPOSE = 4

Definition at line 1018 of file plplot.d.

const plplot::PLESC_FILL = 9

Definition at line 1023 of file plplot.d.

const plplot::PLESC_FLUSH = 11

Definition at line 1025 of file plplot.d.

const plplot::PLESC_GETC = 13

Definition at line 1027 of file plplot.d.

const plplot::PLESC_GRAPH = 8

Definition at line 1022 of file plplot.d.

const plplot::PLESC_HAS_TEXT = 20

Definition at line 1034 of file plplot.d.

const plplot::PLESC_IMAGE = 21

Definition at line 1035 of file plplot.d.

const plplot::PLESC_IMAGEOPS = 22

Definition at line 1036 of file plplot.d.

const plplot::PLESC_PL2DEVCOL = 23

Definition at line 1037 of file plplot.d.

const plplot::PLESC_REDRAW = 6

Definition at line 1020 of file plplot.d.

const plplot::PLESC_RESIZE = 5

Definition at line 1019 of file plplot.d.

const plplot::PLESC_SET_COMPRESSION = 17

Definition at line 1031 of file plplot.d.

const plplot::PLESC_SET_LPB = 3

Definition at line 1017 of file plplot.d.

const plplot::PLESC_SET_RGB = 1

Definition at line 1015 of file plplot.d.

const plplot::PLESC_SETBGFG = 25

Definition at line 1039 of file plplot.d.

const plplot::PLESC_SWIN = 14

Definition at line 1028 of file plplot.d.

const plplot::PLESC_TEXT = 7

Definition at line 1021 of file plplot.d.

const plplot::PLESC_XORMOD = 16

Definition at line 1030 of file plplot.d.

alias c_plfamadv plplot::plfamadv

Definition at line 1377 of file plplot.d.

alias _N5 plplot::PLfGrid

Definition at line 1201 of file plplot.d.

alias _N6 plplot::PLfGrid2

Definition at line 1214 of file plplot.d.

alias c_plflush plplot::plflush

Definition at line 1380 of file plplot.d.

alias c_plfont plplot::plfont

Definition at line 1381 of file plplot.d.

alias c_plfontld plplot::plfontld

Definition at line 1382 of file plplot.d.

alias c_plgchr plplot::plgchr

Definition at line 1383 of file plplot.d.

alias c_plgcol0 plplot::plgcol0

Definition at line 1384 of file plplot.d.

alias c_plgcol0a plplot::plgcol0a

Definition at line 1386 of file plplot.d.

alias c_plgcolbg plplot::plgcolbg

Definition at line 1385 of file plplot.d.

alias c_plgcolbga plplot::plgcolbga

Definition at line 1387 of file plplot.d.

alias c_plgcompression plplot::plgcompression

Definition at line 1388 of file plplot.d.

alias c_plgdidev plplot::plgdidev

Definition at line 1390 of file plplot.d.

alias c_plgdiori plplot::plgdiori

Definition at line 1391 of file plplot.d.

alias c_plgdiplt plplot::plgdiplt

Definition at line 1392 of file plplot.d.

alias c_plgfam plplot::plgfam

Definition at line 1393 of file plplot.d.

alias c_plgfci plplot::plgfci

Definition at line 1394 of file plplot.d.

alias c_plgfont plplot::plgfont

Definition at line 1396 of file plplot.d.

alias c_plglevel plplot::plglevel

Definition at line 1397 of file plplot.d.

alias c_plgpage plplot::plgpage

Definition at line 1398 of file plplot.d.

alias c_plgra plplot::plgra

Definition at line 1400 of file plplot.d.

alias _N2 plplot::PLGraphicsIn

Definition at line 1150 of file plplot.d.

alias c_plgradient plplot::plgrdient

Definition at line 1399 of file plplot.d.

alias c_plgspa plplot::plgspa

Definition at line 1402 of file plplot.d.

alias c_plgstrm plplot::plgstrm

Definition at line 1403 of file plplot.d.

alias c_plgvpd plplot::plgvpd

Definition at line 1405 of file plplot.d.

alias c_plgvpw plplot::plgvpw

Definition at line 1406 of file plplot.d.

alias c_plgxax plplot::plgxax

Definition at line 1407 of file plplot.d.

alias c_plgyax plplot::plgyax

Definition at line 1408 of file plplot.d.

alias c_plgzax plplot::plgzax

Definition at line 1409 of file plplot.d.

alias c_plhls plplot::plhls

Definition at line 1411 of file plplot.d.

alias c_plhlsrgb plplot::plhlsrgb

Definition at line 1412 of file plplot.d.

alias c_plinit plplot::plinit

Definition at line 1415 of file plplot.d.

alias int plplot::PLINT

Definition at line 999 of file plplot.d.

alias c_pljoin plplot::pljoin

Definition at line 1416 of file plplot.d.

alias c_pllightsource plplot::pllightsource

Definition at line 1419 of file plplot.d.

alias c_pllsty plplot::pllsty

Definition at line 1423 of file plplot.d.

alias c_plmeridians plplot::plmeridians

Definition at line 1425 of file plplot.d.

alias c_plmkstrm plplot::plmkstrm

Definition at line 1428 of file plplot.d.

alias _N1 plplot::PLOptionTable

Definition at line 1129 of file plplot.d.

alias plgvpd plplot::plP_gvpd

Definition at line 1531 of file plplot.d.

alias plgvpw plplot::plP_gvpw

Definition at line 1532 of file plplot.d.

alias plbop plplot::plpage

Definition at line 1525 of file plplot.d.

alias c_plpath plplot::plpath

Definition at line 1421 of file plplot.d.

alias void* plplot::PLPointer

Definition at line 1005 of file plplot.d.

alias c_plprec plplot::plprec

Definition at line 1439 of file plplot.d.

alias c_plpsty plplot::plpsty

Definition at line 1440 of file plplot.d.

alias c_plrandd plplot::plrandd

Definition at line 1443 of file plplot.d.

alias c_plreplot plplot::plreplot

Definition at line 1444 of file plplot.d.

alias c_plrgb plplot::plrgb

Definition at line 1445 of file plplot.d.

alias c_plrgb1 plplot::plrgb1

Definition at line 1446 of file plplot.d.

alias c_plrgbhls plplot::plrgbhls

Definition at line 1447 of file plplot.d.

alias c_plschr plplot::plschr

Definition at line 1448 of file plplot.d.

alias c_plscmap0n plplot::plscmap0n

Definition at line 1451 of file plplot.d.

alias c_plscmap1_range plplot::plscmap1_range

Definition at line 1457 of file plplot.d.

alias c_plscmap1n plplot::plscmap1n

Definition at line 1456 of file plplot.d.

alias c_plscol0 plplot::plscol0

Definition at line 1458 of file plplot.d.

alias c_plscol0a plplot::plscol0a

Definition at line 1459 of file plplot.d.

alias c_plscolbg plplot::plscolbg

Definition at line 1460 of file plplot.d.

alias c_plscolbga plplot::plscolbga

Definition at line 1461 of file plplot.d.

alias c_plscolor plplot::plscolor

Definition at line 1462 of file plplot.d.

alias c_plscompression plplot::plscompression

Definition at line 1463 of file plplot.d.

alias c_plsdidev plplot::plsdidev

Definition at line 1465 of file plplot.d.

alias c_plsdimap plplot::plsdimap

Definition at line 1466 of file plplot.d.

alias c_plsdiori plplot::plsdiori

Definition at line 1467 of file plplot.d.

alias c_plsdiplt plplot::plsdiplt

Definition at line 1468 of file plplot.d.

alias c_plsdiplz plplot::plsdiplz

Definition at line 1469 of file plplot.d.

alias c_plseed plplot::plseed

Definition at line 1470 of file plplot.d.

alias c_plsesc plplot::plsesc

Definition at line 1471 of file plplot.d.

alias c_plsfam plplot::plsfam

Definition at line 1473 of file plplot.d.

alias c_plsfci plplot::plsfci

Definition at line 1474 of file plplot.d.

alias c_plsfont plplot::plsfont

Definition at line 1476 of file plplot.d.

alias c_plslabelfunc plplot::plslabelfunc

Definition at line 1359 of file plplot.d.

alias c_plsmaj plplot::plsmaj

Definition at line 1479 of file plplot.d.

alias c_plsmem plplot::plsmem

Definition at line 1480 of file plplot.d.

alias c_plsmin plplot::plsmin

Definition at line 1481 of file plplot.d.

alias c_plsori plplot::plsori

Definition at line 1482 of file plplot.d.

alias c_plspage plplot::plspage

Definition at line 1483 of file plplot.d.

alias c_plspause plplot::plspause

Definition at line 1486 of file plplot.d.

alias c_plsstrm plplot::plsstrm

Definition at line 1487 of file plplot.d.

alias c_plssub plplot::plssub

Definition at line 1488 of file plplot.d.

alias c_plssym plplot::plssym

Definition at line 1489 of file plplot.d.

alias c_plstar plplot::plstar

Definition at line 1490 of file plplot.d.

alias c_plstransform plplot::plstransform

Definition at line 1492 of file plplot.d.

alias c_plstripa plplot::plstripa

Definition at line 1493 of file plplot.d.

alias c_plstripd plplot::plstripd

Definition at line 1495 of file plplot.d.

alias c_plsvpa plplot::plsvpa

Definition at line 1502 of file plplot.d.

const plplot::PLSWIN_DEVICE = 1

Definition at line 1049 of file plplot.d.

const plplot::PLSWIN_WORLD = 2

Definition at line 1050 of file plplot.d.

alias c_plsxax plplot::plsxax

Definition at line 1503 of file plplot.d.

alias c_plsyax plplot::plsyax

Definition at line 1504 of file plplot.d.

alias c_plszax plplot::plszax

Definition at line 1506 of file plplot.d.

alias c_pltext plplot::pltext

Definition at line 1507 of file plplot.d.

alias uint plplot::PLUNICODE

Definition at line 998 of file plplot.d.

alias c_plvasp plplot::plvasp

Definition at line 1509 of file plplot.d.

alias c_plvpas plplot::plvpas

Definition at line 1511 of file plplot.d.

alias c_plvpor plplot::plvpor

Definition at line 1512 of file plplot.d.

alias c_plvsta plplot::plvsta

Definition at line 1513 of file plplot.d.

alias c_plw3d plplot::plw3d

Definition at line 1514 of file plplot.d.

alias c_plwidth plplot::plwidth

Definition at line 1515 of file plplot.d.

alias c_plwind plplot::plwind

Definition at line 1516 of file plplot.d.

alias _N3 plplot::PLWindow

Definition at line 1167 of file plplot.d.

alias c_plxormod plplot::plxormod

Definition at line 1518 of file plplot.d.

const plplot::SURF_CONT = 1 << 5

Definition at line 1926 of file plplot.d.

const plplot::TOP_CONT = 1 << 4

Definition at line 1925 of file plplot.d.

const plplot::ZEROW2B = 1

Definition at line 1043 of file plplot.d.

const plplot::ZEROW2D = 2

Definition at line 1044 of file plplot.d.

The documentation for this module was generated from the following files:

- sfstubsf95.f90
- plplot.d